"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>

This module conatins only global application class and object.
Please, do not import any other modules there. """


class Application:
    """Store settings for different parts of application.

    SCHEMA_PATHS - additional paths to store RPC/CLI schemas
    VALIDATOR - SchemaValidator object
    MIDDLEWARE - dict with middleware to apply
    MIDDLEWARE_EXCLUDE - dict with middleware that should be excluded
    MODULES_WITH_MODELS - list of modules with models
    MIGRATIONS_DIRS - list of dirs with migrations
    """

    SCHEMA_PATHS = None
    VALIDATOR = None
    MIDDLEWARE = None
    MIDDLEWARE_EXCLUDE = None
    MODULES_WITH_MODELS = []
    MIGRATIONS_DIRS = []


app = Application()
