"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
# feature name constants

PROACTIVE = "proactive"
AV = "av"

#: Not available permissions
NA = "na"
#: Full permissions
FULL = "full"

#: Report only permission for AV feature
AV_REPORT = "report"

# config sections related to feature
CONFIG_MAPPINGS = {
    PROACTIVE: {
        "PROACTIVE_DEFENCE": [FULL],
    },
}

# Native FM panel extension name
NATIVE_EXTENSION_NAME = "imunify360"

# Mapping of feature names to extension variables
FEATURE_EXT_VARIABLES = {
    AV: "imunify360_av",
    PROACTIVE: "imunify360_proactive",
}
# Mapping of extension variable to default value
EXTENSION_DEFAULTS = {
    FEATURE_EXT_VARIABLES[AV]: AV_REPORT,
    FEATURE_EXT_VARIABLES[PROACTIVE]: FULL,
}

NATIVE_FEATURE_MANAGEMENT_PACKAGE_EXTENSION_FILES = (
    NATIVE_EXTENSION_NAME,
    NATIVE_EXTENSION_NAME + ".tt2",
)
