"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
import peewee as pw


class License(pw.Model):
    class Meta:
        db_table = 'license'

    status = pw.BooleanField(primary_key=True)
    expiration = pw.IntegerField(null=False, default=0)
    limit = pw.IntegerField(null=True)
    redirect_url = pw.CharField(null=True)


def migrate(migrator, database, fake=False, **kwargs):
    """Write your migrations here."""
    migrator.create_model(License)


def rollback(migrator, database, fake=False, **kwargs):
    """Write your rollback migrations here."""
    License = migrator.orm['license']
    migrator.drop_model(License)
