"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
import os
import subprocess

from defence360agent.contracts.config import Packaging
from logging import getLogger

logger = getLogger(__name__)


def disable_3rdparty():
    try:
        subprocess.check_call(["%s/scripts/disable_3rd_party_ids" %
                               Packaging.DATADIR,
                               '--nocheck'])
    except subprocess.CalledProcessError as e:
        logger.error(e)


def migrate(migrator, database, fake=False, **kwargs):
    if fake or not os.path.isfile(Packaging.DATADIR):
        return

    disable_3rdparty()


def rollback(migrator, database, fake=False, **kwargs):
    pass
