"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
import logging

import peewee as pw


logger = logging.getLogger(__name__)


def migrate(migrator, database, fake=False, **kwargs):
    """Write your migrations here."""

    MalwareHit = migrator.orm['malware_hits']

    class MalwareHitExtra(pw.Model):
        class Meta:
            db_table = 'malware_hit_extras'

        id = pw.IntegerField(primary_key=True)
        hit = pw.ForeignKeyField(MalwareHit, null=False, related_name='extras')
        name = pw.CharField(null=False)
        value = pw.CharField(null=False)

    migrator.create_model(MalwareHitExtra)


def rollback(migrator, database, fake=False, **kwargs):
    """Write your rollback migrations here."""
    MalwareHitExtra = migrator.orm['malware_hit_extras']
    migrator.remove_model(MalwareHitExtra)
