"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
import logging

import peewee as pw


logger = logging.getLogger(__name__)


def migrate(migrator, database, fake=False, **kwargs):
    """Write your migrations here."""

    migrator.sql("""
        CREATE TABLE "malware_hit_extras_new" (
          "id" INTEGER NOT NULL PRIMARY KEY,
          "hit_id" INTEGER NOT NULL,
          "name" VARCHAR(255) NOT NULL,
          "value" VARCHAR(255) NOT NULL,
          FOREIGN KEY ("hit_id")
            REFERENCES "malware_hits" ("id") ON DELETE CASCADE
        )
    """)
    migrator.sql('INSERT INTO malware_hit_extras_new'
                 ' SELECT * FROM malware_hit_extras')
    migrator.sql('DROP TABLE malware_hit_extras')
    migrator.sql('ALTER TABLE malware_hit_extras_new'
                 ' RENAME TO malware_hit_extras')


def rollback(migrator, database, fake=False, **kwargs):
    """Write your rollback migrations here."""
    pass
