"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
import json

from playhouse.shortcuts import model_to_dict

FALLBACK_LICENSE_FILE = '/var/imunify360/license_old.json'


def migrate(migrator, database, fake=False, **kwargs):
    if fake:
        return
    LicenseModel = migrator.orm['license']
    lic, _ = LicenseModel.get_or_create(defaults={
        'status': True,
        'expiration': 0,
    })
    with open(FALLBACK_LICENSE_FILE, 'w') as f:
        json.dump(model_to_dict(lic), f)
    migrator.remove_model(LicenseModel)


def rollback(migrator, database, fake=False, **kwargs):
    pass
