"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
import logging

import peewee as pw


logger = logging.getLogger(__name__)


def migrate(migrator, database, fake=False, **kwargs):
    """Write your migrations here."""

    class WhitelistedCrawler(pw.Model):

        class Meta:
            db_table = 'whitelisted_crawlers'

        id = pw.PrimaryKeyField()
        description = pw.TextField(null=False)

    class WhitelistedCrawlerDomain(pw.Model):

        class Meta:
            db_table = 'whitelisted_crawler_domains'

        id = pw.PrimaryKeyField()
        crawler = pw.ForeignKeyField(
            WhitelistedCrawler, null=False, on_delete='CASCADE',
            related_name='domains')
        domain = pw.TextField(null=False)

    migrator.create_model(WhitelistedCrawler)
    migrator.create_model(WhitelistedCrawlerDomain)


def rollback(migrator, database, fake=False, **kwargs):
    """Write your rollback migrations here."""
    migrator.remove_model(migrator.orm['whitelisted_crawlers'])
    migrator.remove_model(migrator.orm['whitelisted_crawler_domains'])
