"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
import logging

import peewee as pw

logger = logging.getLogger(__name__)

DATA = [
    (
        'Google (https://support.google.com/webmasters/answer/80553?hl=ru)',  # noqa
        ['.google.com', '.googlebot.com'],
    ),
    (
        'Yandex (https://yandex.ru/support/webmaster/robot-workings/check-yandex-robots.xml?lang=ru)',  # noqa
        ['.yandex.ru', '.yandex.com', '.yandex.net']
    ),
    (
        'Bing (https://www.bing.com/webmaster/help/how-to-verify-bingbot-3905dc26)',  # noqa
        ['.search.msn.com']
    ),
    (
        'Baidu (http://help.baidu.com/question?prod_en=master&class=Baiduspider)',  # noqa
        ['.baidu.com', '.baidu.jp']
    )
]


def migrate(migrator, database, fake=False, **kwargs):
    """Write your migrations here."""

    wc = migrator.orm['whitelisted_crawlers']
    wcd = migrator.orm['whitelisted_crawler_domains']

    with database.atomic():
        for descr, domains in DATA:
            inserted_id = wc.insert(description=descr).execute()
            for d in domains:
                wcd.insert(crawler=inserted_id, domain=d).execute()


def rollback(migrator, database, fake=False, **kwargs):
    """Write your rollback migrations here."""
    pass
