"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
from time import time

from peewee import BooleanField, IntegerField


def migrate(migrator, database, fake=False, **kwargs):
    MalwareHits = migrator.orm['malware_hits']
    migrator.add_fields(MalwareHits,
                        malicious=BooleanField(null=False, default=False))
    MalwareIgnorePath = migrator.orm['malware_ignore_path']
    migrator.add_fields(MalwareIgnorePath,
                        added_date=IntegerField(null=False,
                                                default=lambda: int(time())))


def rollback(migrator, database, fake=False, **kwargs):
    MalwareHits = migrator.orm['malware_hits']
    migrator.remove_fields(MalwareHits, 'malicious')

    MalwareIgnorePath = migrator.orm['malware_ignore_path']
    migrator.remove_fields(MalwareIgnorePath, 'added_date')
