"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
from defence360agent.contracts.config import ConfigFile, IConfig


def migrate(*_, fake=False, config_file: IConfig = ConfigFile(), **__):
    if fake:
        return
    if not (config := config_file.config_to_dict()):
        return
    malware_settings = config.get("MALWARE_SCANNING", {})
    malware_settings.pop("leave_suspicious", None)
    malware_settings.pop("max_days_in_quarantine", None)
    malware_settings.pop("move_to_quarantine", False)

    config_file.dict_to_config(config, overwrite=True, validate=False)


def rollback(*_, **__):
    pass
