"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
import logging

import peewee as pw


logger = logging.getLogger(__name__)


def migrate(migrator, database, fake=False, **kwargs):
    """
    This migration os only for consistency, actually all works
    with CharField as well
    """

    migrator.sql("""
        CREATE TABLE "malware_hits_new" (
            "id" INTEGER NOT NULL PRIMARY KEY,
            "scanid_id" VARCHAR(255) NOT NULL,
            "user" VARCHAR(255) NOT NULL,
            "orig_file" BLOB NOT NULL,
            "type" VARCHAR(255) NOT NULL,
            "restored" INTEGER NOT NULL,
            "mode" INTEGER,
            "vendor" VARCHAR(255) NOT NULL,
            "malicious" INTEGER NOT NULL,
            FOREIGN KEY ("scanid_id") REFERENCES "malware_scans" ("scanid"))
    """)
    migrator.sql('INSERT INTO malware_hits_new SELECT * FROM malware_hits')
    migrator.sql('DROP TABLE malware_hits')
    migrator.sql('ALTER TABLE malware_hits_new RENAME TO malware_hits')


def rollback(migrator, database, fake=False, **kwargs):
    """Write your rollback migrations here."""
    pass
