"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
def migrate(migrator, database, fake=False, **kwargs):
    """Recreating DB in order to make `name` as primary key"""
    migrator.sql("""
      CREATE TABLE "last_synclist_new" (
        "timestamp" REAL,
        "name" VARCHAR(255) NOT NULL PRIMARY KEY
        )""")
    migrator.sql('INSERT INTO last_synclist_new '
                 'SELECT timestamp, "ip" AS name FROM last_synclist LIMIT 1')
    migrator.sql('DROP TABLE last_synclist')
    migrator.sql('ALTER TABLE last_synclist_new RENAME TO last_synclist')


def rollback(migrator, database, fake=False, **kwargs):
    """Write your rollback migrations here."""
