"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
import peewee as pw


def migrate(migrator, database, fake=False, **kwargs):
    IPList = migrator.orm['iplist']
    migrator.sql("UPDATE iplist SET manual=0 WHERE listname='GRAY'")
    migrator.sql("UPDATE iplist SET manual=1 WHERE listname='WHITE'")
    migrator.sql("UPDATE iplist SET manual=1 WHERE listname='BLACK'")
    migrator.sql("UPDATE iplist SET listname='BLACK'"
                 "WHERE listname='GRAY' AND no_captcha=1")
    migrator.sql(
        "UPDATE iplist SET "
        "comment='Automatically blocked due to distributed attack', "
        "imported_from='Imunify360'"
        " WHERE listname='BLACK' AND manual=0")
    migrator.remove_fields(IPList, 'no_captcha')


def rollback(migrator, database, fake=False, **kwargs):
    IPList = migrator.orm['iplist']
    migrator.add_fields(IPList, no_captcha=pw.BooleanField(default=False))
