"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
import logging

logger = logging.getLogger(__name__)


def migrate(migrator, database, fake=False, **kwargs):
    if fake:
        return

    CountrySubnets = migrator.orm['country_subnets']
    Country = migrator.orm['country']
    migrator.sql('DELETE FROM country_subnets')
    migrator.add_not_null(CountrySubnets, 'network_address')
    migrator.add_not_null(CountrySubnets, 'netmask',)
    migrator.add_not_null(CountrySubnets, 'version')


def rollback(migrator, database, fake=False, **kwargs):
    CountrySubnets = migrator.orm['country_subnets']
    migrator.drop_not_null(
        CountrySubnets, 'network_address', 'netmask', 'version')
