"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
import os
import logging

logger = logging.getLogger(__name__)


def migrate(migrator, database, fake=False, **kwargs):
    if fake:
        return
    try:
        from im360.subsys import csf
        from im360.utils.net import IN, OUT, TCP
    except ImportError:
        pass
    else:
        if not os.path.isfile(csf.CSF_CONFIG):
            return
        try:
            csf.remove_ports(TCP,
                             IN,
                             44445,
                             55556,
                             6109,
                             25001,
                             445,
                             5060,
                             ranges={(7770, 7800)})
            csf.remove_ports(TCP,
                             OUT,
                             6109,
                             25001,
                             445,
                             5060)

        except Exception:
            logger.exception("Failed to remove unused Arconis ports from csf "
                             "config")


def rollback(migrator, database, fake=False, **kwargs):
    pass
