"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
import logging

from defence360agent.contracts.config import ConfigFile

KEY = 'MOD_SEC_BLOCK_BY_CUSTOM_RULE'

logger = logging.getLogger(__name__)


def migrate(migrator, database, fake=False, **kwargs):
    if fake:
        return

    # adding brute-force rule to existing config
    # this is needed until DEFA-689 is done
    try:
        config_file = ConfigFile()
        config = config_file.config_to_dict(normalize=False)

        mod_sec_block_rules = config.setdefault(KEY, {})
        mod_sec_block_rules[33339] = {
            'check_period': 120,
            'max_incidents': 10
        }

        config_file.dict_to_config({KEY: mod_sec_block_rules})
    except Exception:
        logger.exception("Failed to create rule for 33339")


def rollback(migrator, database, fake=False, **kwargs):
    pass
