"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
import peewee as pw


def migrate(migrator, database, fake=False, **kwargs):
    if fake:
        return

    class IgnoreListNew(pw.Model):
        ip = pw.CharField(null=False)
        network_address = pw.IntegerField(null=False)
        netmask = pw.IntegerField(null=False)
        version = pw.IntegerField(null=False)

        class Meta:
            db_table = 'ignore_list_new'
            primary_key = pw.CompositeKey('network_address',
                                          'netmask',
                                          'version')

    migrator.create_model(IgnoreListNew)


def rollback(migrator, database, fake=False, **kwargs):
    pass
