"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
import logging
import os

from defence360agent.contracts.config import ConfigFile, Core

logger = logging.getLogger(__name__)


def migrate(migrator, database, fake=False, **kwargs):
    """Write your migrations here."""
    if fake:
        return
    usernames = [None]
    if os.path.exists(Core.USER_CONFDIR):
        usernames.extend(os.listdir(Core.USER_CONFDIR))
    for username in usernames:
        config_file = ConfigFile(username=username)
        config = config_file.config_to_dict()
        if not config:
            continue
        default_action = config.setdefault(
            'MALWARE_SCANNING',
            {}
        ).get('default_action')
        if default_action == 'quarantine':
            config['MALWARE_SCANNING']['default_action'] = 'notify'
            try:
                config_file.dict_to_config(
                    config, overwrite=True, validate=False
                )
            except Exception:
                pass


def rollback(migrator, database, fake=False, **kwargs):
    pass
