"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
import logging

from defence360agent.contracts.config import IConfig, ConfigFile

logger = logging.getLogger(__name__)


def migrate(
    migrator,
    database,
    fake=False,
    config_file: IConfig = ConfigFile(),
    **kwargs
):
    if fake:
        return

    try:
        config = config_file.config_to_dict(normalize=False)

        if "MALWARE_SCANNING" not in config:
            return

        config["MALWARE_SCANNING"].pop("i360_clamd", None)
        config["MALWARE_SCANNING"].pop("show_clamav_results", None)
        config["MALWARE_SCANNING"].pop("clamav_binary", None)

        config_file.dict_to_config(config, overwrite=True, validate=False)
    except Exception:
        logger.exception("Failed to remove clamav config options")


def rollback(migrator, database, fake=False, **kwargs):
    pass
