"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>


This migration is needed to cleanup modsec config on cPanel
by removing includes for modsec2.imunify.conf
File is automatically included from /etc/apache2/conf.d, thus no
explicit includes are needed
"""
import logging
import subprocess

logger = logging.getLogger(__name__)


def migrate(migrator, database, fake=False, **kwargs):
    if fake:
        return

    for conf in ["includes/modsec2.imunify.conf", "modsec2.imunify.conf"]:
        try:
            subprocess.run([
                "/usr/sbin/whmapi1",
                "modsec_make_config_inactive",
                "config={}".format(conf)
            ], check=True)
        except FileNotFoundError:
            pass
        except Exception:
            logger.exception("Failed to make %s inactive", conf)


def rollback(migrator, database, fake=False, **kwargs):
    pass
