"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
import logging

logger = logging.getLogger(__name__)


def migrate(migrator, database, fake=False, **kwargs):
    IPList = migrator.orm['iplist']
    captcha_pass_condition = (
        (IPList.listname == "WHITE") &
        (~IPList.full_access) &
        (~IPList.manual) &
        (IPList.comment.contains("due to successful captcha pass"))
    )
    try:
        q = IPList.update({IPList.captcha_passed: True}).where(
            captcha_pass_condition)
        q.execute()
    except Exception as exc:
        logger.exception("Failed update to captcha_passed field")


def rollback(migrator, database, fake=False, **kwargs):
    pass
