"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
from defence360agent.contracts.config import (
    IConfig, LocalConfig, NonBaseMerger
)


def migrate(*_, config_file: IConfig = LocalConfig(), fake=False, **__):
    if fake:
        return

    config = NonBaseMerger(
        names=(NonBaseMerger.get_layer_names())
    ).configs_to_dict(force_read=True)

    permission_settings = config.setdefault("PERMISSIONS", {})

    user_override_malware_actions = permission_settings.get(
        "user_override_proactive_defense"
    )
    if user_override_malware_actions is None:
        permission_settings["user_override_proactive_defense"] = True
        config_file.dict_to_config(
            {"PERMISSIONS": permission_settings},
            validate=False,
            without_defaults=True,
        )


def rollback(*_, **__):
    pass
