"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
import time

from defence360agent.contracts.config import IContactMessageType


def migrate(migrator, database, fake=False, **kwargs):
    if fake:
        return
    IContactThrotle = migrator.orm["icontact_throttle"]
    IContactThrotle.create(
        message_type=IContactMessageType.SCAN_NOT_SCHEDULED,
        timestamp=time.time() + (7 * 86400),
    )


def rollback(migrator, database, fake=False, **kwargs):
    if fake:
        return
    IContactThrottle = migrator.orm["icontact_throttle"]
    IContactThrottle.delete().where(
        IContactThrottle.message_type == IContactMessageType.SCAN_NOT_SCHEDULED
    ).execute()
