"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
import logging
from pathlib import Path

logger = logging.getLogger(__name__)


def migrate(migrator, _db, fake=False, **__):
    if fake:
        return
    try:
        id_files = Path("/").glob("home*/*/.secure_site_id")
        for id_file in id_files:
            if not id_file.is_symlink():
                id_file.unlink(missing_ok=True)
    except Exception:
        logger.exception(
            "An exception occurred while deleting .secure_site_id files"
        )


def rollback(*_, **__):
    """Not supported"""
