"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
import os

import yaml

from defence360agent.contracts.config import LocalConfig


def migrate(migrator, database, fake=False, **kwargs):
    if fake:
        return

    local_config = LocalConfig()
    if not os.path.exists(local_config.path):
        return
    with open(local_config.path) as f:
        conf = yaml.safe_load(f)

    malware_settings = conf.setdefault('MALWARE_SCANNING', {})

    value = malware_settings.pop('enable_scan_uploaded_files', True)

    malware_settings['enable_scan_pure_ftpd'] = value
    malware_settings['enable_scan_modsec'] = value

    local_config.dict_to_config(conf, validate=False)


def rollback(migrator, database, fake=False, **kwargs):
    pass
