"""
This program is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, 
or (at your option) any later version.


This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.


You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.

Copyright © 2019 Cloud Linux Software Inc.

This software is also available under ImunifyAV commercial license,
see <https://www.imunify360.com/legal/eula>
"""
from time import time

import peewee as pw

from defence360agent.model.simplification import FilenameField


class MalwareHistory(pw.Model):
    class Meta:
        db_table = 'malware_history'

    path = FilenameField(null=False)
    event = pw.CharField(null=False)
    initiator = pw.CharField(null=False)
    cause = pw.CharField(null=False)
    file_owner = pw.CharField(null=True)
    ctime = pw.IntegerField(null=True, default=lambda: int(time()))


def migrate(migrator, database, fake=False, **kwargs):
    migrator.create_model(MalwareHistory)


def rollback(migrator, database, fake=False, **kwargs):
    MalwareHistory = migrator.orm['malware_history']
    migrator.remove_model(MalwareHistory)
